# Created by pyp2rpm-3.3.2
%global pypi_name aspy.yaml

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 3
Summary:        A few extensions to pyyaml
Group:          Development/Python
License:        MIT
URL:            https://github.com/asottile/aspy.yaml
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Some extensions to pyyaml.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyyaml)

%description -n python3-%{pypi_name}
Some extensions to pyyaml.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/aspy
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-3.mga8
+ Revision: 1531399
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.3.0-2.mga8
+ Revision: 1439797
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.3.0-1.mga8
+ Revision: 1429832
- imported package python-aspy.yaml

